Vsan Remote Datastore System Vsan Query Hci Mesh Datastores

Vsan Remote Datastore System Vsan Query Hci Mesh Datastores
This method takes a list of VsanXvcQuerySpec, then returns a list of VsanXvcQueryResultSet.

This method takes a list of VsanXvcQuerySpec, then returns a list of VsanXvcQueryResultSet.

Each element of returned VsanXvcQueryResultSet list maps to the query spec in the VsanXvcQuerySpec list by index. Caller can provide a proper VsanXvcQuerySpec, and specify the required properties to be returned. The full list of the properties for each kind of returned object is described in VsanXvcQueryResultSet. Optionally, user can provide a list of remote VCs' information VsanRemoteVcInfo to specify the remote VC to query. The supported objects are listed in objectModel. Each item is one datastore's info mapping to the specified properties properties in spec.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanRemoteDatastoreSystem/{moId}/VsanQueryHciMeshDatastores
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanRemoteDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanQueryHciMeshDatastoresRequestType of type(s) application/json
Optional
{
    "querySpecs": [
        {
            "_typeName": "string",
            "objectModel": "string",
            "properties": [
                "string"
            ],
            "filter": {
                "_typeName": "string",
                "criterias": [
                    {
                        "_typeName": "string",
                        "property": "string",
                        "operator": "string",
                        "comparableValue": {
                            "_typeName": "string"
                        },
                        "comparableList": {
                            "_typeName": "string",
                            "val": [
                                {
                                    "_typeName": "string"
                                }
                            ]
                        },
                        "ignoreCase": false
                    }
                ],
                "operator": "string"
            },
            "offset": 0,
            "limit": 0,
            "returnTotalCount": false
        }
    ],
    "extraVcInfos": [
        {
            "_typeName": "string",
            "linkType": "string",
            "vcHost": "string"
        }
    ]
}
array of object
querySpecs
Optional

The spec information to specify what to be queried.

array of object
extraVcInfos
Optional

The remote vCenter information for communication if caller needs to explicitly specify a remote vCenter as a provider vCenter which is not configured as a Datastore Source configuration. The user credential needs to be provided in the remote vCenter information, e.g., use VsanRemoteVcInfoStandalone.

Authentication
This operation uses the following authentication methods.
Responses
200

The query result information per the query specs.

[
    {
        "_typeName": "string",
        "properties": [
            "string"
        ],
        "resultItems": [
            {
                "_typeName": "string",
                "propertyValues": [
                    {
                        "_typeName": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ]
            }
        ],
        "totalCount": 0
    }
]
array of object
Optional

This data type describes the info of the objects returned from Query API.

It is a dictionary like structure. The 'properties' list defines all keys of the returned information. The 'resultItems' list contains all returned objects' information. The properties' values of each object are listed in VsanXvcResultItem. The mapping between keys and values is by the index of the lists.

This structure may be used only with operations rendered under /vsan.


500

VsanFault: vSAN related faults.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/vsan/VsanRemoteDatastoreSystem/{moId}/VsanQueryHciMeshDatastores